### Method

# Gdk FrameClockget_timings

#### Declaration [src]

    GdkFrameTimings*
    gdk_frame_clock_get_timings (
      GdkFrameClock* frame_clock,
      gint64 frame_counter
    )

#### Description [src]

Retrieves a `GdkFrameTimings` object holding timing information for the current frame or a recent frame.

The `GdkFrameTimings` object may not yet be complete: see `gdk_frame_timings_get_complete()` and `gdk_frame_clock_get_history_start()`.

#### Parameters

`frame_counter`

  Type: `gint64`

  The frame counter value identifying the frame to be received.

#### Return value

Type: `GdkFrameTimings`

The `GdkFrameTimings` object for the specified frame, or `NULL` if it is not available.

The data is owned by the instance.
The return value can be `NULL`.